const { gql } = require('apollo-server-express');

module.exports = gql`

    type Institution {
        id: ID!
        adress1: String!
        adress2: String
        city: String!
        state: String!
        zip: String
        country: String!
        createdAt: DateTime
        updatedAt: DateTime

    }

    extend type Query {
        findAllInstitution: [Institution!]
    }

    extend type Mutation {
        createInstitution(input: inputInstitution!): Institution!
    }

    type inputInstitution {
        typeId: String!
        adresseId: String!
        name: String!
        description: String
        phoneNumber: String!
        email: String
        website: String
        adress1: String!
        adress2: String
        city: String!
        state: String!
        zip: String
        country: String!
    }

`;